Package org.lwjgl.opengl

# Class NVTextureShader2

java.lang.Object
org.lwjgl.opengl.NVTextureShader2

public final class NVTextureShader2 extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_DOT_PRODUCT_TEXTURE_3D_NV`
`static final int`
`GL_DSDT_MAG_INTENSITY_NV`
`static final int`
`GL_DSDT_MAG_NV`
`static final int`
`GL_DSDT_MAG_VIB_NV`
`static final int`
`GL_DSDT_NV`
`static final int`
`GL_DSDT8_MAG8_INTENSITY8_NV`
`static final int`
`GL_DSDT8_MAG8_NV`
`static final int`
`GL_DSDT8_NV`
`static final int`
`GL_HILO_NV`
`static final int`
`GL_HILO16_NV`
`static final int`
`GL_SIGNED_ALPHA_NV`
`static final int`
`GL_SIGNED_ALPHA8_NV`
`static final int`
`GL_SIGNED_HILO_NV`
`static final int`
`GL_SIGNED_HILO16_NV`
`static final int`
`GL_SIGNED_INTENSITY_NV`
`static final int`
`GL_SIGNED_INTENSITY8_NV`
`static final int`
`GL_SIGNED_LUMINANCE_ALPHA_NV`
`static final int`
`GL_SIGNED_LUMINANCE_NV`
`static final int`
`GL_SIGNED_LUMINANCE8_ALPHA8_NV`
`static final int`
`GL_SIGNED_LUMINANCE8_NV`
`static final int`
`GL_SIGNED_RGB_NV`
`static final int`
`GL_SIGNED_RGB_UNSIGNED_ALPHA_NV`
`static final int`
`GL_SIGNED_RGB8_NV`
`static final int`
`GL_SIGNED_RGB8_UNSIGNED_ALPHA8_NV`
`static final int`
`GL_SIGNED_RGBA_NV`
`static final int`
`GL_SIGNED_RGBA8_NV`
`static final int`
`GL_UNSIGNED_INT_8_8_S8_S8_REV_NV`
`static final int`
`GL_UNSIGNED_INT_S8_S8_8_8_NV`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_DOT_PRODUCT_TEXTURE_3D_NV

public static final int GL_DOT_PRODUCT_TEXTURE_3D_NV

See Also:
  - Constant Field Values

### GL_HILO_NV

public static final int GL_HILO_NV

See Also:
  - Constant Field Values

### GL_DSDT_NV

public static final int GL_DSDT_NV

See Also:
  - Constant Field Values

### GL_DSDT_MAG_NV

public static final int GL_DSDT_MAG_NV

See Also:
  - Constant Field Values

### GL_DSDT_MAG_VIB_NV

public static final int GL_DSDT_MAG_VIB_NV

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_S8_S8_8_8_NV

public static final int GL_UNSIGNED_INT_S8_S8_8_8_NV

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_8_8_S8_S8_REV_NV

public static final int GL_UNSIGNED_INT_8_8_S8_S8_REV_NV

See Also:
  - Constant Field Values

### GL_SIGNED_RGBA_NV

public static final int GL_SIGNED_RGBA_NV

See Also:
  - Constant Field Values

### GL_SIGNED_RGBA8_NV

public static final int GL_SIGNED_RGBA8_NV

See Also:
  - Constant Field Values

### GL_SIGNED_RGB_NV

public static final int GL_SIGNED_RGB_NV

See Also:
  - Constant Field Values

### GL_SIGNED_RGB8_NV

public static final int GL_SIGNED_RGB8_NV

See Also:
  - Constant Field Values

### GL_SIGNED_LUMINANCE_NV

public static final int GL_SIGNED_LUMINANCE_NV

See Also:
  - Constant Field Values

### GL_SIGNED_LUMINANCE8_NV

public static final int GL_SIGNED_LUMINANCE8_NV

See Also:
  - Constant Field Values

### GL_SIGNED_LUMINANCE_ALPHA_NV

public static final int GL_SIGNED_LUMINANCE_ALPHA_NV

See Also:
  - Constant Field Values

### GL_SIGNED_LUMINANCE8_ALPHA8_NV

public static final int GL_SIGNED_LUMINANCE8_ALPHA8_NV

See Also:
  - Constant Field Values

### GL_SIGNED_ALPHA_NV

public static final int GL_SIGNED_ALPHA_NV

See Also:
  - Constant Field Values

### GL_SIGNED_ALPHA8_NV

public static final int GL_SIGNED_ALPHA8_NV

See Also:
  - Constant Field Values

### GL_SIGNED_INTENSITY_NV

public static final int GL_SIGNED_INTENSITY_NV

See Also:
  - Constant Field Values

### GL_SIGNED_INTENSITY8_NV

public static final int GL_SIGNED_INTENSITY8_NV

See Also:
  - Constant Field Values

### GL_SIGNED_RGB_UNSIGNED_ALPHA_NV

public static final int GL_SIGNED_RGB_UNSIGNED_ALPHA_NV

See Also:
  - Constant Field Values

### GL_SIGNED_RGB8_UNSIGNED_ALPHA8_NV

public static final int GL_SIGNED_RGB8_UNSIGNED_ALPHA8_NV

See Also:
  - Constant Field Values

### GL_HILO16_NV

public static final int GL_HILO16_NV

See Also:
  - Constant Field Values

### GL_SIGNED_HILO_NV

public static final int GL_SIGNED_HILO_NV

See Also:
  - Constant Field Values

### GL_SIGNED_HILO16_NV

public static final int GL_SIGNED_HILO16_NV

See Also:
  - Constant Field Values

### GL_DSDT8_NV

public static final int GL_DSDT8_NV

See Also:
  - Constant Field Values

### GL_DSDT8_MAG8_NV

public static final int GL_DSDT8_MAG8_NV

See Also:
  - Constant Field Values

### GL_DSDT_MAG_INTENSITY_NV

public static final int GL_DSDT_MAG_INTENSITY_NV

See Also:
  - Constant Field Values

### GL_DSDT8_MAG8_INTENSITY8_NV

public static final int GL_DSDT8_MAG8_INTENSITY8_NV

See Also:
  - Constant Field Values